#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libtirpc
Version		:	1.3.2
Release		:	14.4.0.0%{?dist}

Summary		:	Transport Independent RPC Library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	SISSL and BSD
URL		:	https://downloads.sourceforge.net/libtirpc

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
%description
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation.  This library forms a piece of the base of
Open Network Computing (ONC), and is derived directly from the
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface
(XTI).  TI-RPC is on-the-wire compatible with the TS-RPC, which is supported
by almost 70 vendors on all major operating systems.  TS-RPC source code
(RPCSRC 4.0) remains available from several internet sites.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

sed -i							\
  -e '/stdlib.h/a#include <stdint.h>'			\
  src/xdr_sizeof.c

sed -i							\
  -e '/key_secret_is/s/secret/secretkey/'		\
  src/libtirpc.map

./configure						\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	--includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-gssapi				\
	--disable-static				\

%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/tirpc/*
%{_sysconfdir}/netconfig
%{_sysconfdir}/bindresvport.blacklist
%{_libdir}/%{name}.{la,so*}
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*.3t.gz
%{_mandir}/man5/*.5.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
